<script setup lang="ts">
  import { Popover, PopoverButton, PopoverPanel, TransitionRoot } from '@headlessui/vue';
  import { emitsKey } from './model';

  const emits = inject(emitsKey);
</script>
<template>
  <Popover v-slot="{ open }">
    <PopoverButton as="div">
      <SwButton fab :variant="open ? 'primary' : 'action'">
        <template #icon>
          <span class="i-sw-solid:ellipsis-h" />
        </template>
      </SwButton>
    </PopoverButton>

    <TransitionRoot
      appear
      as="template"
      :show="open"
      enter="transition duration-200 ease-out"
      enter-from="opacity-0"
      enter-to="opacity-100"
      leave="transition duration-150 ease-in"
      leave-from="opacity-100"
      leave-to="opacity-0"
    >
      <PopoverPanel
        class="rounded-2 shadow-5 z-toolbar absolute bottom-16 right-0 w-[11.25rem] overflow-hidden border bg-white"
      >
        <ul class="flex flex-col py-2 text-sm/6 font-medium">
          <li class="cursor-pointer px-4 py-1.5" @click="emits?.onChange('toggleSetting')">
            {{ $t('presentation.videoAndAudio') }}
          </li>
          <li class="cursor-pointer px-4 py-1.5" @click="emits?.onChange('goTo')">
            {{ $t('presentation.goToGuide') }}
          </li>
          <li class="cursor-pointer px-4 py-1.5" @click="emits?.onChange('toggleLikeList')">
            {{ $t('breadcrumbs.wishlist') }}
          </li>
        </ul>
      </PopoverPanel>
    </TransitionRoot>
  </Popover>
</template>
